Skip to content
WP Engine Documentation

List report sections

GET
/site_reports/sections

Returns the available sections for a site report

OK

object
name

Name of the report type

string
Example
siteReport
resource_type

Type of resource the sections apply to

string
Example
site
sections

Available sections that can be included in the report

Array<object>
object
name

Internal identifier for the section

string
Example
cover
display_text

Human-readable name for the section

string
Example
Cover
order

Display order of the section in the report

integer
Example
1
image_url

Preview image URL for the section

string format: uri
Example
https://storage.googleapis.com/sites_reports_static_images_bucket/preview-gallery-cover.png
footer_url

Footer link URL for the section

string format: uri
Example
https://my.wpengine.com/installs/{install_name}
group_name

Group name referring to several related pages

string
Example
overview
group_display_text

Human-readable name of the section group

string
Example
Overview
mandatory

Whether the section is required in all reports

boolean
Example
true

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

An invalid response was received from an upstream server

Service unavailable